A simple demo of how to handle Facebook OAuth via the Temboo Java SDK. 

Full documentation available at: temboo.com/java/facebook-oauth

Prerequisites

- A Temboo account, available for free at temboo.com
- A Facebook application, which you can create at developers.facebook.com. 
- Specifying your Temboo callback URL as part of your Facebook app settings. Under 'Settings', specify https://{ACCOUNT_NAME}.temboolive.com/callback/ as your Site URL or Secure Canvas URL.
- Maven installed for building the application
- A Java application server of your choice (e.g., JBoss, Jetty, Tomcat, etc.)

Usage

1. Unzip this demo in some directory.
2. Download the Temboo Java SDK from temboo.com/downloads. The Temboo JAR file should be named according to Maven conventions (e.g., temboo-sdk-1.0.0.jar).
3. In the demo root directory (where the Maven pom.xml file lives), run this command to set up Maven with a 'lib' directory to include the Temboo Java SDK:

mvn install:install-file -Dfile=temboo-sdk-1.0.0.jar -DgroupId=temboo -DartifactId=temboo-sdk -Dversion=1.0.0 -Dpackaging=jar -DlocalRepositoryPath=lib -DcreateChecksum=true

4. In FacebookAuthHelper.java, substitute in your values for the following constants for your Facebook app details:
    APP_ID
    APP_Secret
5. In FacebookAuthHelper.java, substitute in your values for the following constants (details available from temboo.com/account/applications):
    TEMBOO_ACCOUNT_NAME
    TEMBOO_APP_KEY_NAME
    TEMBOO_APP_KEY_VALUE
6. Build the project with 'mvn clean install' in the root directory (the one that contains the pom.xml file).
7. Deploy the .war file created in the 'target' directory to the application server of your choice (e.g., JBoss, Jetty, Tomcat, etc.)
8. Browse to: http://localhost:8080/FacebookOAuthv1/
9. Click the "Facebook Login" button to initiate the OAuth process.
